gtksourceviewmm: Gsv::StyleScheme Class Reference

gtksourceviewmm 2.91.9

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gsv::StyleScheme Class Reference

Object controlling appearance of View. More...

`#include <gtksourceviewmm/stylescheme.h>`

Inheritance diagram for Gsv::StyleScheme:
[legend]

List of all members.

## Public Member Functions
GtkSourceStyleScheme* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleScheme* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyleScheme* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_id () const
| Gets scheme id.
Glib::ustring | get_name () const
| Gets scheme name.
Glib::ustring | get_description () const
| Gets scheme description.
std::vector< Glib::ustring > | get_authors () const
| Gets scheme authors.
std::string | get_filename () const
| Gets scheme filename.
Glib::RefPtr< Style > | get_style (const Glib::ustring& style_id)
| Gets style corresponding to style_id in scheme.
Glib::RefPtr< const Style > | get_style (const Glib::ustring& style_id) const
| Gets style corresponding to style_id in scheme.
Glib::PropertyProxy_ReadOnly < std::string > | property_id () const
| Style scheme id.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Style scheme name.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_description () const
| Style scheme description.
Glib::PropertyProxy_ReadOnly < std::string > | property_filename () const
| Style scheme filename.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::StyleScheme > | wrap (GtkSourceStyleScheme* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Object controlling appearance of View.

StyleScheme contains all the text styles to be used in View and Buffer. For instance, it contains text styles for syntax highlighting, it may contain foreground and background color for non-highlighted text, color for the line numbers, etc.

Style schemes are stored in XML files. The format of a scheme file is the documented in the C library gtksourceview documentation.

Since gtksourceviewmm 2.2:

## Member Function Documentation

std::vector<Glib::ustring> Gsv::StyleScheme::get_authors | ( |  | ) | const

Gets scheme authors.

Returns:
  Array with scheme authors.

Since gtksourceviewmm 2.2:

Glib::ustring Gsv::StyleScheme::get_description | ( |  | ) | const

Gets scheme description.

Returns:
  Scheme description.

Since gtksourceviewmm 2.2:

std::string Gsv::StyleScheme::get_filename | ( |  | ) | const

Gets scheme filename.

Returns:
  Scheme file name if the scheme was created parsing a style scheme file or empty string in the other cases.

Since gtksourceviewmm 2.2:

Glib::ustring Gsv::StyleScheme::get_id | ( |  | ) | const

Gets scheme id.

Returns:
  Scheme id.

Since gtksourceviewmm 2.2:

Glib::ustring Gsv::StyleScheme::get_name | ( |  | ) | const

Gets scheme name.

Returns:
  Scheme name.

Since gtksourceviewmm 2.2:

Glib::RefPtr<Style> Gsv::StyleScheme::get_style | ( | const Glib::ustring & | style_id | ) |

Gets style corresponding to style_id in scheme.

Parameters:

  style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or empty Glib::RefPtr when no style with this name found.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const Style> Gsv::StyleScheme::get_style | ( | const Glib::ustring & | style_id | ) | const

Gets style corresponding to style_id in scheme.

Parameters:

  style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or empty Glib::RefPtr when no style with this name found.

Since gtksourceviewmm 2.2:

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::StyleScheme::property_description | ( |  | ) | const

Style scheme description.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<std::string> Gsv::StyleScheme::property_filename | ( |  | ) | const

Style scheme filename.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<std::string> Gsv::StyleScheme::property_id | ( |  | ) | const

Style scheme id.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::StyleScheme::property_name | ( |  | ) | const

Style scheme name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::StyleScheme > wrap | ( | GtkSourceStyleScheme * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.